
SCM Creator (+Github) - Bug #2046

Repository form replacement does not work on Redmine 1.4.2

08 Jun 2012 10:58 - Martin Corino

Status: Closed Start date: 08 Jun 2012

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 1.4.2 External issue:  

Description

The intended replacement of the repository editing form (app/views/repositories/_form.html.erb >

vendor/plugins/redmine_scm/app/views/projects/settings/_repository.rhtml) does not work in Redmine 1.4.2. Instead the original form

is used. As a result (among others) the only_creator config setting does not work.

Hooking repository_field_tags does work, so the [Create new repository] does appear and at first glance everything seems to work 

History

#1 - 08 Jun 2012 12:26 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

#2 - 08 Jun 2012 12:28 - Andriy Lesyuk

Hm... Testing it under 1.4.2 and it seems to work...

I assume you don’t use the latest revision? And I still work on :only_creator (a little changes left).

#3 - 08 Jun 2012 12:35 - Martin Corino

Andriy Lesyuk wrote:

Hm... Testing it under 1.4.2 and it seems to work...

I assume you don’t use the latest revision? And I still work on :only_creator (a little changes left).

 

We’re using revision r94.

We are also using the Redmine Checkout plugin which also hooks the repo management. Could be that also is of influence. No problems with the

functionality from that plugin though.

#4 - 08 Jun 2012 16:17 - Andriy Lesyuk

You can also subscribe to this project using “Subscription” on the sidebar to get notifications about new commits/revisions...

#5 - 09 Jun 2012 10:40 - Andriy Lesyuk

- Target version deleted (0.4.0)
http://projects.andriylesyuk.com/projects/scm-creator/repository/revisions/94


I believe now it should work fine...

#6 - 19 Jun 2012 09:53 - Andriy Lesyuk

Can you confirm?

#7 - 19 Jun 2012 14:50 - Martin Corino

Andriy Lesyuk wrote:

Can you confirm?

 

Unfortunately I cannot confirm at the moment since there was no time anymore to update the system before it was rolled out. The problem is currently

worked around.

#8 - 19 Jun 2012 23:43 - Andriy Lesyuk

Same here 

#9 - 19 Jun 2012 23:44 - Andriy Lesyuk

- Status changed from Incomplete to Closed
